Bug 886230 - Review Request: php-phpass - Portable password hashing framework for use in PHP applications
Review Request: php-phpass - Portable password hashing framework for use in P...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joseph Marrero
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 858841
  Show dependency treegraph
 
Reported: 2012-12-11 15:43 EST by Gregor Tätzner
Modified: 2013-01-21 22:37 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-19 22:11:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jmarrero: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gregor Tätzner 2012-12-11 15:43:22 EST
Spec URL: http://brummbq.fedorapeople.org/php-phpass.spec
SRPM URL: http://brummbq.fedorapeople.org/php-phpass-0.3-1.fc17.src.rpm
Description:
phpass (pronounced "pH pass") is a portable public domain password hashing
framework for use in PHP applications. It is meant to work with PHP 3 and
above.

The preferred (most secure) hashing method supported by phpass is the
OpenBSD-style Blowfish-based bcrypt and known in PHP as CRYPT_BLOWFISH, with
a fallback to BSDI-style extended DES-based hashes, known in PHP as
CRYPT_EXT_DES, and a last resort fallback to MD5-based salted and variable
iteration count password hashes implemented in phpass
itself (also referred to as portable hashes).
Fedora Account System Username: brummbq
Comment 1 Remi Collet 2012-12-15 11:39:44 EST
I don't understand the 
cp -a %{SOURCE0} README.devel

Why do you want to provide the source tarball as a readme file ?

Please run the provided test

BuildRequires: php-cli

%check
php test.php | grep PASSED

I don't really agree on the need of a devel sub-package.
Simply add the test.php file and c directory to the %doc of the main package.
(not a blocker, packager choice)
Comment 2 Gregor Tätzner 2012-12-16 06:06:05 EST
Spec URL: http://brummbq.fedorapeople.org/php-phpass.spec
SRPM URL: http://brummbq.fedorapeople.org/php-phpass-0.3-2.fc17.src.rpm

(In reply to comment #1)
> I don't understand the 
> cp -a %{SOURCE0} README.devel
> 
> Why do you want to provide the source tarball as a readme file ?

You can't understand that, because it's utter nonsense: I forgot to list the README file in SOURCES and used the first source as README erroneously :)

> 
> Please run the provided test
> 
> BuildRequires: php-cli
> 
> %check
> php test.php | grep PASSED
> 
> I don't really agree on the need of a devel sub-package.
> Simply add the test.php file and c directory to the %doc of the main package.
> (not a blocker, packager choice)

agreed, there are just a few files anyway.
Comment 3 Joseph Marrero 2012-12-17 20:28:48 EST
rpmlint output:

php-phpass.src: W: spelling-error %description -l en_US bcrypt -> crypt, b crypt
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
--------------------
NO real errors found with rpm lint
Macros OK
Licence OK

Installs OK

No blockers.



APPROVED.
Comment 4 Gregor Tätzner 2012-12-18 06:26:10 EST
New Package SCM Request
=======================
Package Name: php-phpass
Short Description: Portable password hashing framework for use in PHP applications
Owners: brummbq
Branches: f17 f18 el6
InitialCC:
Comment 5 Jon Ciesla 2012-12-18 08:41:28 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-12-18 14:07:27 EST
php-phpass-0.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-phpass-0.3-2.fc17
Comment 7 Fedora Update System 2012-12-18 14:07:55 EST
php-phpass-0.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-phpass-0.3-2.fc18
Comment 8 Fedora Update System 2012-12-18 14:08:26 EST
php-phpass-0.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-phpass-0.3-2.el6
Comment 9 Fedora Update System 2012-12-19 03:39:31 EST
php-phpass-0.3-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2013-01-19 22:11:32 EST
php-phpass-0.3-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-01-19 22:37:42 EST
php-phpass-0.3-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2013-01-21 22:37:40 EST
php-phpass-0.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.